Index: code/branches/turretFS14/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/branches/turretFS14/data/levels/includes/weaponSettingsTurret.oxi	(revision 10044)
+++ code/branches/turretFS14/data/levels/includes/weaponSettingsTurret.oxi	(revision 10049)
@@ -11,11 +11,11 @@
         </links>
         <Weapon>
-          <attached>
-            <Model mesh="sphere.mesh" position="3,3,-2.2" scale=0.6 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3, 3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3,-3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3, 3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3,-3,-2.2" />
+          <!-- <attached>
+            <Model mesh="sphere.mesh" position="1.7,1.7,-24.5" scale=0.6 />
+          </attached> -->
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="1.7, 1.7,-30" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="1.7, -1.7,-30" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="-1.7, 1.7,-30" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="-1.7, -1.7,-30" />
         </Weapon>
       </WeaponPack>
Index: code/branches/turretFS14/data/levels/includes/weaponSettingsTurretTest.oxi
===================================================================
--- code/branches/turretFS14/data/levels/includes/weaponSettingsTurretTest.oxi	(revision 10044)
+++ 	(revision )
@@ -1,22 +1,0 @@
-    <weaponslots>
-      <WeaponSlot position="0,0,0" />
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-    </weaponsets>
-    <weapons>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-        </links>
-        <Weapon>
-          <attached>
-            <Model mesh="sphere.mesh" position="3,3,-2.2" scale=0.6 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset=" 30, 3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset=" 30,-3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="-30, 3,-2.2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=0 material="Flares/point_lensflare" muzzleoffset="-30,-3,-2.2" />
-        </Weapon>
-      </WeaponPack>
-    </weapons>
Index: code/branches/turretFS14/data/levels/templates/spaceshipTurret.oxt
===================================================================
--- code/branches/turretFS14/data/levels/templates/spaceshipTurret.oxt	(revision 10044)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<Template name=spaceshipturret>
-  <SpaceShip
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipturretcameras
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 6
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
-   shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
-
-   primaryThrust     = 100
-   auxilaryThrust    = 30
-   rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 15
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 9
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
-  >
-    <attached>
-        <Model position="0,0,0" yaw="90" roll="-90" mesh="turretHead.mesh" scale3D="10,10,10"/>
-    </attached>
-    <collisionShapes>
-        <SphereCollisionShape radius="10"   position = "0,0,0"/>
-    </collisionShapes>
-<?lua
-  include("../includes/weaponSettingsTurret.oxi")
-?>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipturretcameras defaults=0>
-  <SpaceShip>
-    <camerapositions>
-      <CameraPosition position="0,10, 40" drag=true mouselook=true />
-      <CameraPosition position="0,20, 80" drag=true mouselook=true />
-      <CameraPosition position="0,30,120" drag=true mouselook=true />
-    </camerapositions>
-  </SpaceShip>
-</Template>
Index: code/branches/turretFS14/data/levels/templates/spaceshipTurretTest.oxt
===================================================================
--- code/branches/turretFS14/data/levels/templates/spaceshipTurretTest.oxt	(revision 10044)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<Template name=spaceshipturrettest>
-  <Turret position="0,0,0" collisionType="dynamic" angularDamping=0.999999 mass=100>
-    <attached>
-        <Model position="0,0,0" pitch="-90" roll="0" mesh="turretHead.mesh" scale3D="10,10,10"/>
-    </attached>
-    <collisionShapes>
-        <SphereCollisionShape radius="10"   position = "0,0,0"/>
-    </collisionShapes>
-<?lua
-  include("../includes/weaponSettingsTurretTest.oxi")
-?>
-  </Turret>
-</Template>
-
-<Template name=spaceshipturretcameras defaults=0>
-  <SpaceShip>
-    <camerapositions>
-      <CameraPosition position="0,10, 40" drag=true mouselook=true />
-      <CameraPosition position="0,20, 80" drag=true mouselook=true />
-      <CameraPosition position="0,30,120" drag=true mouselook=true />
-    </camerapositions>
-  </SpaceShip>
-</Template>
Index: code/branches/turretFS14/data/levels/templates/standardTurret.oxt
===================================================================
--- code/branches/turretFS14/data/levels/templates/standardTurret.oxt	(revision 10049)
+++ code/branches/turretFS14/data/levels/templates/standardTurret.oxt	(revision 10049)
@@ -0,0 +1,40 @@
+<Template name=standardturret>
+  <Turret collisionType="dynamic">
+    <attached>
+      <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" pitch=-90/>
+      <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" pitch=-90/>
+      <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" pitch=-90/>
+      <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" pitch=-90/>
+      <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" pitch=-90/>
+
+      <Turret position="0,0,-10" collisionType="dynamic" angularDamping=0.999999 mass=100 maxPitch=90 maxYaw=90 maxAttackRadius=2000 minAttackRadius=30>
+        <attached>
+          <Model position="0,0,0" pitch="-90" roll="0" mesh="turretHead.mesh" scale3D="10,10,10"/>
+        </attached>
+        <collisionShapes>
+          <SphereCollisionShape radius="10"   position = "0,0,0"/>
+        </collisionShapes>
+        <controller>
+          <TurretController/>
+        </controller>
+        <?lua
+          include("../includes/weaponSettingsTurret.oxi")
+        ?>
+      </Turret>
+    </attached>
+    
+    <controller>
+      <TeamTargetProxy/>
+    </controller>
+  </Turret>
+</Template>
+
+<Template name=spaceshipturretcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
Index: code/branches/turretFS14/data/levels/turretTest.oxw
===================================================================
--- code/branches/turretFS14/data/levels/turretTest.oxw	(revision 10044)
+++ code/branches/turretFS14/data/levels/turretTest.oxw	(revision 10049)
@@ -16,6 +16,6 @@
 <?lua
   include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipTurretTest.oxt")
+  include("templates/spaceshipTransporter.oxt")
+  include("templates/standardTurret.oxt")
 ?>
 
@@ -33,62 +33,28 @@
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-
-<!-- <SpaceShip position="-100,0,0" yaw=0 pitch=0>
-    <attached>
-        <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" />
-
-        <Turret position="0,10,0" pitch="90" yaw="0" roll="0" maxPitch=90 maxYaw=90 attackRadius=2000>
-            <templates>
-              <Template link=spaceshipturrettest />
-            </templates>
-            <controller>
-              <TurretController team=10 />
-            </controller>
-        </Turret>
-
-        <Model mesh="sphere.mesh" position="20,0,0" scale=1/>
-
-        <Model mesh="sphere.mesh" position="0,25,0" scale=1/>
-
-        <Model mesh="sphere.mesh" position="0,0,30" scale=1/>
-
-    </attached>
-</SpaceShip> -->
-
-
-<StaticEntity position="100,0,0">
+<SpaceShip>
   <attached>
-    <Model mesh="sphere.mesh" position="20,0,0" scale=1/>
-
-    <Model mesh="sphere.mesh" position="0,25,0" scale=1.5/>
-
-    <Model mesh="sphere.mesh" position="0,0,30" scale=2/>
+    <Turret position="10,2,0" pitch="90" yaw="0" roll="0" scale3D="0.2,0.2,0.2">
+      <templates>
+        <Template link=standardturret />
+      </templates>
+    </Turret>    
+    <Turret position="-10,2,0" pitch="90" yaw="0" roll="0" scale3D="0.2,0.2,0.2">
+      <templates>
+        <Template link=standardturret />
+      </templates>
+    </Turret>    
+    <Turret position="0,2,0" pitch="90" yaw="0" roll="0" scale3D="0.2,0.2,0.2">
+      <templates>
+        <Template link=standardturret />
+      </templates>
+    </Turret>    
   </attached>
-  
-</StaticEntity>
-<SpaceShip position="100,0,0" yaw=0 pitch=90>
-    <attached>
-        <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" />
-        <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" />
-
-        <Turret position="0,10,0" pitch="90" yaw="0" roll="0" maxPitch=90 maxYaw=90 attackRadius=2000>
-            <templates>
-              <Template link=spaceshipturrettest />
-            </templates>
-            <controller>
-              <TurretController team=10 />
-            </controller>
-        </Turret>
-
-
-
-    </attached>
+  <templates>
+    <Template link=spaceshipassff />
+  </templates>
+<!--   <controller>
+    <AIController />
+  </controller> -->
 </SpaceShip>
 
